--
-- PortaTras
--
-- @TMP
-- @31/05/2017

EspelhoDireita = {};

EspelhoDireita.modDir = g_currentModDirectory;

function EspelhoDireita.prerequisitesPresent(specializations)
    return true; 
end;

function EspelhoDireita:load(savegame)

    self.AnimacaoEspelhoDireita = SpecializationUtil.callSpecializationsFunction("AnimacaoEspelhoDireita"); 
    
    self.EspelhoDireita = {};
    
    local trigger = Utils.indexToObject( self.components, getXMLString(self.xmlFile, string.format("vehicle.EspelhoDireita#trigger")) );
    if trigger == nil then
        print("[Erro: EspelhoDireita] index ok, mas o trigger nas esta localizado. Volte a ver a linha "..tostring(i+1).." no seu xml");
    end;
    
    local TS = getXMLInt(self.xmlFile, string.format("vehicle.EspelhoDireita#IC_Numero", i));
    
    self.EspelhoDireita.TS = TS;
    self.EspelhoDireita.trigger = trigger;
    self.EspelhoDireita.TMP = false;
        
	addTrigger( trigger, "AnimacaoEspelhoDireita", self );
    
end;

function EspelhoDireita:delete()
    if self.EspelhoDireita.trigger ~= nil then
        removeTrigger(self.EspelhoDireita.trigger);
    end;
end;

function EspelhoDireita:readStream(streamId, connection)
end;

function EspelhoDireita:writeStream(streamId, connection)
end;

function EspelhoDireita:mouseEvent(posX, posY, isDown, isUp, button)
end;

function EspelhoDireita:keyEvent(unicode, sym, modifier, isDown)
end;

function EspelhoDireita:update(dt)
    
    if self.EspelhoDireita.TMP then
        g_currentMission:addHelpButtonText( g_i18n:getText("EspelhoDireita"), InputBinding.Aberturas );    
        setTextColor(1.0, 1.0, 1.0, 1.0);
        setTextAlignment(RenderText.ALIGN_CENTER);                 
        renderText( 0.53, 0.04, 0.035, g_i18n:getText("EspelhoDireita") );
        if InputBinding.hasEvent(InputBinding.Aberturas)then
            local obj = self.interactiveObjects[self.EspelhoDireita.TS];
            if obj ~= nil then
                self:doActionOnObject(self.EspelhoDireita.TS);
            end;
        end
    end;
end;

function EspelhoDireita:onLeave()
end;

function EspelhoDireita:draw()
end;

function EspelhoDireita:AnimacaoEspelhoDireita(triggerId, otherId, onEnter, onLeave, onStay)
    
    if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.EspelhoDireita.TMP = true;
    elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.EspelhoDireita.TMP = false;
    end;
    
end;