--
-- PortaTras
--
-- @TMP
-- @31/05/2017

Gyrophare = {};

Gyrophare.modDir = g_currentModDirectory;

function Gyrophare.prerequisitesPresent(specializations)
    return true; 
end;

function Gyrophare:load(savegame)

    self.AnimacaoGyrophare = SpecializationUtil.callSpecializationsFunction("AnimacaoGyrophare"); 
    
    self.Gyrophare = {};
    
    local trigger = Utils.indexToObject( self.components, getXMLString(self.xmlFile, string.format("vehicle.Gyrophare#trigger")) );
    if trigger == nil then
        print("[Erro: Gyrophare] index ok, mas o trigger nas esta localizado. Volte a ver a linha "..tostring(i+1).." no seu xml");
    end;
    
    local TS = getXMLInt(self.xmlFile, string.format("vehicle.Gyrophare#IC_Numero", i));
    
    self.Gyrophare.TS = TS;
    self.Gyrophare.trigger = trigger;
    self.Gyrophare.TMP = false;
        
	addTrigger( trigger, "AnimacaoGyrophare", self );
    
end;

function Gyrophare:delete()
    if self.Gyrophare.trigger ~= nil then
        removeTrigger(self.Gyrophare.trigger);
    end;
end;

function Gyrophare:readStream(streamId, connection)
end;

function Gyrophare:writeStream(streamId, connection)
end;

function Gyrophare:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Gyrophare:keyEvent(unicode, sym, modifier, isDown)
end;

function Gyrophare:update(dt)
    
    if self.Gyrophare.TMP then
        g_currentMission:addHelpButtonText( g_i18n:getText("Gyrophare"), InputBinding.Visibilidade );    
        setTextColor(1.0, 1.0, 1.0, 1.0);
        setTextAlignment(RenderText.ALIGN_CENTER);                 
        renderText( 0.53, 0.04, 0.035, g_i18n:getText("Gyrophare") );
        if InputBinding.hasEvent(InputBinding.Visibilidade)then
            local obj = self.interactiveObjects[self.Gyrophare.TS];
            if obj ~= nil then
                self:doActionOnObject(self.Gyrophare.TS);
            end;
        end
    end;
end;

function Gyrophare:onLeave()
end;

function Gyrophare:draw()
end;

function Gyrophare:AnimacaoGyrophare(triggerId, otherId, onEnter, onLeave, onStay)
    
    if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.Gyrophare.TMP = true;
    elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.Gyrophare.TMP = false;
    end;
    
end;